const path = require('path');
const fs = require('fs');
require('dotenv').config();

utils = {};
utils.ROOT_PATH = path.resolve(__dirname);
    utils.VIEWS_PATH = path.resolve(utils.ROOT_PATH, 'views');
    utils.DATA_PATH = path.resolve(utils.ROOT_PATH, '.data');
        utils.DATA_JSON_PATH = path.resolve(utils.DATA_PATH, 'json');
        utils.DATA_DB_PATH = path.resolve(utils.DATA_PATH, 'db');
        utils.DATA_CONFIG_PATH = path.resolve(utils.DATA_PATH, 'config');
        utils.DATA_FILE_PATH = path.resolve(utils.DATA_PATH, 'file');

// 检查并创建路径
[utils.DATA_PATH, utils.DATA_JSON_PATH, utils.DATA_DB_PATH, utils.DATA_CONFIG_PATH, utils.DATA_FILE_PATH].forEach((p) => {
    if (!fs.existsSync(p)) {
        fs.mkdirSync(p, { recursive: true });
    }
});

utils.json = {
    success: {
        code: '0000',
        msg: 'success',
        data: null
    },
    error: {
        code: '0001',
        msg: 'unknown error',
        data: null
    },
    token_is_invalid: {
        code: '0002',
        msg: 'token invalid',
        data: null
    },
    user_is_invalid: {
        code: '0100',
        msg: 'login error',
        data: null
    },
    user_register_is_invalid: {
        code: '0102',
        msg: 'register error',
        data: null
    },
}

utils.path = path;
utils.fs = fs;
utils.env = process.env;
module.exports = utils;